#---------------------------------------------------------------------------
#
#   SuPy GUI - Button - Cocoa
#
#---------------------------------------------------------------------------

from AppKit import NSButton, NSRoundedBezelStyle
from g_button import GButton
from button_base import PyNSButton

#---------------------------------------------------------------------------

_style_to_ns_key_equivalent = {
	'default': "\x0d",
	'cancel': "\x1b",
}

_ns_key_equivalent_to_style = {
	"\x0d": 'default',
	"\x1b": 'cancel',
}

#---------------------------------------------------------------------------

class Button(GButton):

	def __init__(self, text, **kwds):
		frame = ((0, 0), (10, 10))
		ns = PyNSButton.alloc().initWithFrame_(frame)
		ns.setBezelStyle_(NSRoundedBezelStyle)
		ns.setTitle_(text)
		ns.sizeToFit()
		GButton.__init__(self, _ns_view = ns)
		self.width += 20
		self.set(**kwds)

	def get_text(self):
		return self._ns_view.title()
	
	def set_text(self, x):
		self._ns_view.setTitle_(x)

